Create a PTR record for a dedicated server
POST/v1/hosts/dedicated_servers/{server_id}/ptr_records
Create a new PTR record for a server by executing a POST request to /v1/hosts/dedicated_servers/{server_id}/ptr_records. The ID has to be specified as the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Request Body
| Field | Details |
|---|---|
ip | stringAn IP address associated with a PTR record. |
domain | stringA domain name for a PTR record. |
ttl? | integerTTL (time to live) defines how long a PTR record will be cached on the DNS servers. |
priority? | integerThe priority determines what PTR record to contact first. The lower the number, the higher the priority. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/hosts/dedicated_servers/BDbDP5bl/ptr_records" \ -H "Content-Type: application/json" \ -d '{ "ip": "100.0.0.4", "domain": "example-1309.com", "ttl": 300, "priority": 3 }'{ "id": "xkazYeJ0", "ip": "100.0.0.4", "domain": "example-1309.com", "priority": 3, "ttl": 300}